import { Routes } from '@angular/router';
import { ServicesComponent } from './services/services.component';
import { SettingWidgetComponent } from './setting-widget/setting-widget.component';
import { LayoutWidjetComponent } from './layout-widjet/layout-widjet.component';
import { LayoutWidjetSettingComponent } from './layout-widjet-setting/layout-widjet-setting.component';

export const routes: Routes = [
  {
    path: '',
    component: SettingWidgetComponent
    // loadComponent: () => import('./offerings/index')
    //   .then(x => x.ServicesComponent),
  },
  {
    path: 'setting-widjet',
    component: SettingWidgetComponent
    // loadComponent: () => import('./offerings/index')
    //   .then(x => x.ServicesComponent),
  },
  {
    path: 'services/:id',
    component: ServicesComponent
    // loadComponent: () => import('./offerings/index')
    //   .then(x => x.ServicesComponent),
  },
  {
    path: 'layout/:appName',
    component: LayoutWidjetComponent
  },
  {
    path: 'layout/:appName/:companyId/:token',
    component: LayoutWidjetComponent
  },
  {
    path: 'layout-setting',
    component: LayoutWidjetSettingComponent
  }
];
