import { CommonModule } from '@angular/common';
import { Component, OnInit } from '@angular/core';
import { ServicesComponent } from '../services/services.component';
import { FormsModule } from '@angular/forms';
import { Service, WidjetService } from '../services/widjet.service';
import { HttpClient, HttpHeaders } from '@angular/common/http';
@Component({
  selector: 'app-setting-widget',
  standalone: true,
  imports: [CommonModule, ServicesComponent, FormsModule],
  templateUrl: './setting-widget.component.html',
  styleUrls: ['./setting-widget.component.css']
})
export class SettingWidgetComponent implements OnInit {
  widgetModel: Service
  widjetId = 0
  api: string = "";
  model: string = "";
  resp: string = ""
  widgetList: Service[] = []
  constructor(private widjectService: WidjetService, private http: HttpClient) {
    this.widgetList = this.widjectService.widjetList
    this.widgetModel = this.widgetList[0]
  }

  ngOnInit() {
  }

  // onValueChange(value: Service) {
  //   console.log("value", value)
  //   if (value) {
  //     this.widgetModel = value
  //     this.api = value.api
  //     this.resp = value.api
  //     this.model = value.dataModel
  //   } else {
  //     this.widgetModel = undefined
  //     this.api = ""
  //     this.resp = ""
  //     this.model = ""
  //   }

  // }

  changeComponent() {
    console.log("changeComponent", this.widgetModel)
    this.widjetId = this.widgetModel?.id!
    this.api = this.widgetModel?.api!
    // this.loadData()
  }

  loadData() {
    const options = {
      headers: new HttpHeaders({
        "Authorization": "Bearer " + sessionStorage.getItem("token"),
      }),
    };
    this.http.get(this.widgetModel.api, options).subscribe(result => {
      this.widgetModel.dataSoure = result
    })
  }

}
