import { CommonModule, DatePipe } from '@angular/common';
import { Component, OnInit } from '@angular/core';

@Component({
  selector: 'app-timestamp-widget',
  templateUrl: './timestamp-widget.component.html',
  styleUrls: ['./timestamp-widget.component.scss'],
  standalone: true,
  imports: [CommonModule, DatePipe]
})
export class TimestampWidgetComponent implements OnInit {
  model: any = {
    "employee": {
      "memberId": "13c8f7a0-cc39-11e8-97e8-e1409beaaed1",
      "companyId": "1f2d7f90-24dc-11e7-a032-7b0164ffa2bb",
      "employeeCode": "13c8f7a0-cc39-11e8-97e8-e1409beaaed11f2d7f90-24dc-11e7-a032-7b0164ffa2bb",
      "fullName": "ชนะชัย โอดพิมพ์",
      "position": "Front-End Developer Manager",
      "department": "แผนกการค้นคว้าวิจัยระบบ",
      "pictureUrl": "https://zeeme.myhr.co.th/ZeemeApi/rest/image/employee/picture/1f2d7f90-24dc-11e7-a032-7b0164ffa2bb/13c8f7a0-cc39-11e8-97e8-e1409beaaed1/3b48fa06-37e4-4b08-a7e0-6a646a33616a",
      "faceUrl": "https://zeeme.myhr.co.th/ZeemeApi/rest/image/employee/face/1f2d7f90-24dc-11e7-a032-7b0164ffa2bb/13c8f7a0-cc39-11e8-97e8-e1409beaaed1/d0508e10-605c-11eb-96ed-1f2a4d52256e",
      "tel": "#0983162284",
      "bossModel": null,
      "lagacyCode": "20180210",
      "picture": null,
      "noCriteria": 0
    },
    "timestamps": [
      {
        "companyId": "1f2d7f90-24dc-11e7-a032-7b0164ffa2bb",
        "memberId": "13c8f7a0-cc39-11e8-97e8-e1409beaaed1",
        "fullName": "ชนะชัย โอดพิมพ์",
        "employeeCode": null,
        "swipeDatetime": "2024-07-23 08:52+0700",
        "swipeTypeId": 1,
        "swipeType": "In",
        "authenBy": "Face Recognition",
        "latitude": "13.9807609",
        "longitude": "100.4784027",
        "locationName": "NH",
        "pictureUrl": "https://zeeme.myhr.co.th/ZeemeApi/rest/image/company/timestamp/1f2d7f90-24dc-11e7-a032-7b0164ffa2bb/13c8f7a0-cc39-11e8-97e8-e1409beaaed1/202407230852/996e28ec-4198-4aa4-b590-764d33847eff",
        "timeStampStatus": 2,
        "contractNo": null,
        "siteNo": null,
        "customerId": null,
        "siteName": null,
        "approveId": null,
        "approveName": null,
        "createDatetime": "2024-07-23 08:52+0700",
        "editDatetime": null,
        "deviceNo": "50eac3ede2e4adea",
        "deviceName": null
      }
    ]
  }
  constructor() { }

  ngOnInit() {
  }

}
